---
title: Get companies by team ID
slug: api/get-companies-by-team-id
docTags: 
createdAt: 2026-03-01T03:12:36.506Z
---

{
  "id": "WGx24tdIYsgeDT7ttpYEQ",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://openapi.sine.co/v1/api/companies/team/{teamId}",
    "servers": [
      {
        "url": "https://openapi.sine.co/v1/api/companies/team/{teamId}",
        "description": "Sine Public API"
      }
    ],
    "name": "Get companies by team ID",
    "description": "Fetches paginated companies associated with a team",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "teamId",
          "type": "string<uuid>",
          "example": "85543775-dad8-40de-8be4-7ac29dd7d466",
          "description": "The unique identifier of the team",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-sine-team-id",
          "type": "string<uuid>",
          "description": "The UUID of the Team",
          "format": "uuid"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "next",
          "type": "string",
          "description": "Token for pagination"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer",
          "description": "Number of results per page",
          "default": 100,
          "minimum": 1,
          "maximum": 200
        },
        {
          "kind": "optional",
          "name": "updatedAfter",
          "type": "string<date-time>",
          "description": "Filter companies updated after this date",
          "format": "date-time"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To obtain a token, call <code>POST /oauth2/token</code> with your <code>client_id</code> and <code>client_secret</code>. The returned <code>access_token</code> is then used as a Bearer token for all subsequent requests.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "results",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "",
                    "example": "5ac705fa211700000539cb25",
                    "format": "uuid"
                  },
                  {
                    "name": "teamId",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "",
                    "example": "f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb",
                    "format": "uuid"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Acme Corporation"
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string<active | inactive | pending | blocked>",
                    "description": "",
                    "example": "active",
                    "enum": [
                      "active",
                      "inactive",
                      "pending",
                      "blocked"
                    ]
                  },
                  {
                    "name": "identifierDetails",
                    "kind": "optional",
                    "type": "object",
                    "nullable": true,
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "value",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "address",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "123 Business Street, Business City, BC 12345"
                  },
                  {
                    "name": "contactName",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "John Doe"
                  },
                  {
                    "name": "contactEmail",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "",
                    "example": "john.doe@acme.com",
                    "format": "email"
                  },
                  {
                    "name": "contactPhoneNumber",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "+1-555-123-4567"
                  },
                  {
                    "name": "website",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "https://www.acme.com"
                  },
                  {
                    "name": "adminNotes",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Important client - handle with priority"
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "",
                    "example": "2020-12-30T04:48:51.438Z",
                    "format": "date-time"
                  },
                  {
                    "name": "updated",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "",
                    "example": "2020-12-30T04:48:51.438Z",
                    "format": "date-time"
                  },
                  {
                    "name": "tags",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "additionalFields",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "name",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "value",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              },
              {
                "name": "next",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Token for retrieving the next page of results"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"BAD_REQUEST\",\"message\":\"The request is invalid\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "BAD_REQUEST"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom Error Message",
                "example": "The request is invalid"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"UNAUTHORIZED\",\"message\":\"Invalid authentication credentials\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "UNAUTHORIZED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Invalid authentication credentials"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"FORBIDDEN\",\"message\":\"You are not allowed to access this information\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "FORBIDDEN"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "You are not allowed to access this information"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Resource not found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"SITE_NOT_FOUND\",\"message\":\"SiteNotFoundError\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "SITE_NOT_FOUND"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "SiteNotFoundError"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "424",
        "description": "Service dependency failed",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"CONSUMER_ERROR\",\"message\":\"Unexpected error while communicating with downstream service, please try again\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "CONSUMER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Unexpected error while communicating with downstream service, please try again"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too many requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"RATE_LIMITED\",\"message\":\"API rate limit exceeded\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "RATE_LIMITED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "API rate limit exceeded"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"INTERNAL_SERVER_ERROR\",\"message\":\"Something went wrong, please try again later\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "INTERNAL_SERVER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Something went wrong, please try again later"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "KCim5rO4r1QXSeucTQH4P",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://openapi.sine.co/v1/api/companies/team/{teamId}?limit=100' \\\n     --header 'accept: application/json' \\\n     --header 'x-sine-team-id: string<uuid>'"
        },
        {
          "id": "yehFX4C06OKxLyN_VqeyK",
          "language": "javascript",
          "label": "JavaScript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-sine-team-id\", \"string<uuid>\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://openapi.sine.co/v1/api/companies/team/{teamId}?limit=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "xmmE_i33fCamaBoYEpCI7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://openapi.sine.co/v1/api/companies/team/{teamId}?limit=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-sine-team-id': 'string<uuid>'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "KCim5rO4r1QXSeucTQH4P"
    },
    "results": {
      "languages": [
        {
          "id": "6IsDCVxdfz8oVfnVAYzUN",
          "language": "200",
          "code": "// OK\n{\n  \"results\": [\n    {\n      \"id\": \"5ac705fa211700000539cb25\",\n      \"teamId\": \"f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb\",\n      \"name\": \"Acme Corporation\",\n      \"status\": \"active\",\n      \"identifierDetails\": {\n        \"type\": \"\",\n        \"value\": \"\"\n      },\n      \"address\": \"123 Business Street, Business City, BC 12345\",\n      \"contactName\": \"John Doe\",\n      \"contactEmail\": \"john.doe@acme.com\",\n      \"contactPhoneNumber\": \"+1-555-123-4567\",\n      \"website\": \"https://www.acme.com\",\n      \"adminNotes\": \"Important client - handle with priority\",\n      \"created\": \"2020-12-30T04:48:51.438Z\",\n      \"updated\": \"2020-12-30T04:48:51.438Z\",\n      \"tags\": [\n        {\n          \"name\": \"\"\n        }\n      ],\n      \"additionalFields\": [\n        {\n          \"id\": \"\",\n          \"name\": \"\",\n          \"value\": \"\",\n          \"type\": \"\"\n        }\n      ]\n    }\n  ],\n  \"next\": \"\"\n}"
        },
        {
          "id": "r00fD_P2LOg69xcGksLfk",
          "language": "400",
          "code": "// Bad request\n{\n  \"code\": \"BAD_REQUEST\",\n  \"message\": \"The request is invalid\"\n}"
        },
        {
          "id": "9AVqAp5WKkXt0mQsYUTtA",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"code\": \"UNAUTHORIZED\",\n  \"message\": \"Invalid authentication credentials\"\n}"
        },
        {
          "id": "ybhceH6azRRSnV8KrQ9ea",
          "language": "403",
          "code": "// Forbidden\n{\n  \"code\": \"FORBIDDEN\",\n  \"message\": \"You are not allowed to access this information\"\n}"
        },
        {
          "id": "8VPul4-Bo4inEvnsie1y9",
          "language": "404",
          "code": "// Resource not found\n{\n  \"code\": \"SITE_NOT_FOUND\",\n  \"message\": \"SiteNotFoundError\"\n}"
        },
        {
          "id": "wglUnVo761GMcX1S3bIra",
          "language": "424",
          "code": "// Service dependency failed\n{\n  \"code\": \"CONSUMER_ERROR\",\n  \"message\": \"Unexpected error while communicating with downstream service, please try again\"\n}"
        },
        {
          "id": "FiOL5H1p6xURki3D1QaLw",
          "language": "429",
          "code": "// Too many requests\n{\n  \"code\": \"RATE_LIMITED\",\n  \"message\": \"API rate limit exceeded\"\n}"
        },
        {
          "id": "spnBENglYwEM_egeD9zAw",
          "language": "500",
          "code": "// Internal server error\n{\n  \"code\": \"INTERNAL_SERVER_ERROR\",\n  \"message\": \"Something went wrong, please try again later\"\n}"
        }
      ],
      "selectedLanguageId": "6IsDCVxdfz8oVfnVAYzUN"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}